gnome-mag: zoom-region.h File Reference

# zoom-region.h File Reference

`#include <bonobo/bonobo-object.h>`
`#include "GNOME_Magnifier.h"`

Go to the source code of this file.

## Data Structures
struct | ZoomRegion
struct | ZoomRegionClass
## Defines
#define | ZOOM_REGION_TYPE (zoom_region_get_type ())
#define | ZOOM_REGION(o) (G_TYPE_CHECK_INSTANCE_CAST ((o), ZOOM_REGION_TYPE, ZoomRegion))
#define | ZOOM_REGION_CLASS(k) (G_TYPE_CHECK_CLASS_CAST((k), ZOOM_REGION_TYPE, ZoomRegionClass))
#define | IS_ZOOM_REGION(o) (G_TYPE_CHECK__INSTANCE_TYPE ((o), ZOOM_REGION_TYPE))
#define | IS_ZOOM_REGION_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), ZOOM_REGION_TYPE))
## Typedefs
typedef GList *(* | CoalesceFunc )(GList *, int)
typedef struct _ZoomRegionPrivate | ZoomRegionPrivate
## Functions
GType | zoom_region_get_type (void)
ZoomRegion * | zoom_region_new (void)

## Define Documentation

#define ZOOM_REGION_TYPE (zoom_region_get_type ())

Definition at line 34 of file zoom-region.h.

#define ZOOM_REGION | ( | o |  | ) | (G_TYPE_CHECK_INSTANCE_CAST ((o), ZOOM_REGION_TYPE, ZoomRegion))

Definition at line 35 of file zoom-region.h.

Referenced by impl_zoom_region_dispose(), impl_zoom_region_get_brightness(), impl_zoom_region_get_contrast(), impl_zoom_region_get_mag_factor(), impl_zoom_region_get_properties(), impl_zoom_region_get_roi(), impl_zoom_region_mark_dirty(), impl_zoom_region_move_resize(), impl_zoom_region_set_brightness(), impl_zoom_region_set_contrast(), impl_zoom_region_set_mag_factor(), impl_zoom_region_set_pointer_pos(), impl_zoom_region_set_roi(), impl_zoom_region_update_pointer(), and zoom_region_dispose().

#define ZOOM_REGION_CLASS | ( | k |  | ) | (G_TYPE_CHECK_CLASS_CAST((k), ZOOM_REGION_TYPE, ZoomRegionClass))

Definition at line 36 of file zoom-region.h.

#define IS_ZOOM_REGION | ( | o |  | ) | (G_TYPE_CHECK__INSTANCE_TYPE ((o), ZOOM_REGION_TYPE))

Definition at line 37 of file zoom-region.h.

#define IS_ZOOM_REGION_CLASS | ( | k |  | ) | (G_TYPE_CHECK_CLASS_TYPE ((k), ZOOM_REGION_TYPE))

Definition at line 38 of file zoom-region.h.

## Typedef Documentation

typedef GList*(* CoalesceFunc)(GList *, int)

Definition at line 40 of file zoom-region.h.

typedef struct _ZoomRegionPrivate ZoomRegionPrivate

Definition at line 42 of file zoom-region.h.

## Function Documentation

GType zoom_region_get_type | ( | void |  | ) |

Referenced by zoom_region_new().

ZoomRegion* zoom_region_new | ( | void |  | ) |

Definition at line 3711 of file zoom-region.c.

References zoom_region_get_type().

Referenced by impl_magnifier_create_zoom_region().